Subject: Re: [bitcoin-dev] BIP draft: OP_CHECKBLOCKATHEIGHT

From: Tom <[email-masked]>
Date: Fri, 23 Sep 2016 16:37:39 +0200

On Friday 23 Sep 2016 09:57:01 Luke Dashjr via bitcoin-dev wrote:
> This BIP describes a new opcode (OP_CHECKBLOCKATHEIGHT) for the Bitcoin
> scripting system to address reissuing bitcoin transactions when the coins
> they spend have been conflicted/double-spent.
> 
> https://github.com/luke-jr/bips/blob/bip-cbah/bip-cbah.mediawiki

Can you walk us through a real live usecase which this solves?  I read it and 
I think I understand it, but I can't see the attack every giving the attacker 
any benefit (or the attacked losing anything).